summaryrefslogtreecommitdiffstats
path: root/bin/schroot-create.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-25 19:40:26 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-25 19:40:26 +0100
commitf625aeb97fa7612175175bf728fc9c644ffac486 (patch)
treeaeac085662d3f918a913a467707f81a62bb26bb0 /bin/schroot-create.sh
parent3fa8572b959ce4fa253cd430d71a3c222971f106 (diff)
downloadjenkins.debian.net-f625aeb97fa7612175175bf728fc9c644ffac486.tar.xz
make more robust
Diffstat (limited to 'bin/schroot-create.sh')
-rwxr-xr-xbin/schroot-create.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/schroot-create.sh b/bin/schroot-create.sh
index 9c629f2a..97c9d0f3 100755
--- a/bin/schroot-create.sh
+++ b/bin/schroot-create.sh
@@ -113,7 +113,7 @@ EOF
robust_chroot_apt() {
set +e
sudo chroot $SCHROOT_TARGET apt-get $@ | tee $TMPLOG
- local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' $TMPLOG)
+ local RESULT=$(egrep 'Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' $TMPLOG || true)
set -e
if [ ! -z "$RESULT" ] ; then
echo "$(date -u) - 'apt-get $@' failed, sleeping 5min before retrying..."
@@ -130,7 +130,7 @@ bootstrap() {
echo "Bootstraping $SUITE into $SCHROOT_TARGET now."
set +e
sudo debootstrap $SUITE $SCHROOT_TARGET $MIRROR | tee $TMPLOG
- local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG)
+ local RESULT=$(egrep "E: (Couldn't download packages|Invalid Release signature)" $TMPLOG || true)
set -e
if [ ! -z "$RESULT" ] ; then
echo "$(date -u) - initial debootstrap failed, sleeping 5min before retrying..."